GroupDocs (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.grouping.GroupDocs class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.grouping
Class GroupDocs<GROUP_VALUE_TYPE>

    java.lang.Object
      org.apache.lucene.search.grouping.GroupDocs<GROUP_VALUE_TYPE>

    public class GroupDocs<GROUP_VALUE_TYPE>

extends Object

Represents one group in the results.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`Object[]` | `groupSortValues` Matches the groupSort passed to `AbstractFirstPassGroupingCollector`.
`GROUP_VALUE_TYPE` | `groupValue` The groupField value for all docs in this group; this may be null if hits did not have the groupField.
`float` | `maxScore` Max score in this group
`org.apache.lucene.search.ScoreDoc[]` | `scoreDocs` Hits; this may be `FieldDoc` instances if the withinGroupSort sorted by fields.
`int` | `totalHits` Total hits within this group

Constructor Summary
`GroupDocs(float maxScore, int totalHits, org.apache.lucene.search.ScoreDoc[] scoreDocs, GROUP_VALUE_TYPE groupValue, Object[] groupSortValues)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupValue

    public final GROUP_VALUE_TYPE groupValue

  The groupField value for all docs in this group; this may be null if hits did not have the groupField.

### maxScore

    public final float maxScore

  Max score in this group

### scoreDocs

    public final org.apache.lucene.search.ScoreDoc[] scoreDocs

  Hits; this may be `FieldDoc` instances if the withinGroupSort sorted by fields.

### totalHits

    public final int totalHits

  Total hits within this group

### groupSortValues

    public final Object[] groupSortValues

  Matches the groupSort passed to `AbstractFirstPassGroupingCollector`.

Constructor Detail

### GroupDocs

    public GroupDocs(float maxScore,
                     int totalHits,
                     org.apache.lucene.search.ScoreDoc[] scoreDocs,
                     GROUP_VALUE_TYPE groupValue,
                     Object[] groupSortValues)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD